<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 4.5: Header Files</title>
<link href="sx7d.html" rev=precedes>
<link href="sx7f.html" rel=precedes>
<link href="sx7.html" rev=subdocument>
</head>
<body>
<H2>section 4.5: Header Files</H2>

page 82
<p>By the way, the ``<TT>.h</TT>'' traditionally used in header file names
simply stands for ``header.''
</p><p>We can imagine several strategies for using header files.
At one extreme would be to use zero header files,
and to repeat declarations in each file which needed them.
This would clearly be a poor strategy,
because whenever a declaration changed,
we would have to remember to change it in several places,
and it would be easy to miss one of them,
leading to stubborn bugs.
At the other extreme would be to use one header file for each source file
(declaring just the things defined in that source file,
to be <TT>#include</TT>d by files using those things),
but such a proliferation of header files would usually be unwieldy.
For small projects
(such as the calculator example),
it's a reasonable strategy
to use one header file for the entire project.
For larger projects,
you'll usually have several header files for sets of related declarations.
</p><hr>
<p>
Read sequentially:
<a href="sx7d.html" rev=precedes>prev</a>
<a href="sx7f.html" rel=precedes>next</a>
<a href="sx7.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
